package pps.core.base.service.data.base_energy_storage_device;

import xstartup.annotation.XText;
import java.util.Date;
import java.math.BigDecimal;

public class DynamicQueryBaseEnergyStorageDeviceViewOutput {
    @XText("ID")
    private String id;

    @XText("是否删除(0_是;1_否)")
    private Integer isDeleted;

    @XText("创建人ID")
    private String createById;

    @XText("创建人名称")
    private String createByName;

    @XText("创建时间")
    private Date createTime;

    @XText("修改人ID")
    private String modifyById;

    @XText("修改人名称")
    private String modifyByName;

    @XText("修改时间")
    private Date modifyTime;

    @XText("组织机构ID")
    private String ouId;

    @XText("设备名称")
    private String deviceName;

    @XText("出厂编号")
    private String makerNumber;

    @XText("储能设备规格型号key(字典获取)")
    private String storageModelKey;

    @XText("设备容量(KWh)")
    private BigDecimal apparatusCapacity;

    @XText("额定放电功率(KW)")
    private BigDecimal ratedDischargePower;

    @XText("额定充电功率(KW)")
    private BigDecimal ratedChargingPower;

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public Integer getIsDeleted() {
        return this.isDeleted;
    }

    public void setIsDeleted(Integer value) {
        this.isDeleted = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

    public String getOuId() {
        return this.ouId;
    }

    public void setOuId(String value) {
        this.ouId = value;
    }

    public String getDeviceName() {
        return this.deviceName;
    }

    public void setDeviceName(String value) {
        this.deviceName = value;
    }

    public String getMakerNumber() {
        return this.makerNumber;
    }

    public void setMakerNumber(String value) {
        this.makerNumber = value;
    }

    public String getStorageModelKey() {
        return this.storageModelKey;
    }

    public void setStorageModelKey(String value) {
        this.storageModelKey = value;
    }

    public BigDecimal getApparatusCapacity() {
        return this.apparatusCapacity;
    }

    public void setApparatusCapacity(BigDecimal value) {
        this.apparatusCapacity = value;
    }

    public BigDecimal getRatedDischargePower() {
        return this.ratedDischargePower;
    }

    public void setRatedDischargePower(BigDecimal value) {
        this.ratedDischargePower = value;
    }

    public BigDecimal getRatedChargingPower() {
        return this.ratedChargingPower;
    }

    public void setRatedChargingPower(BigDecimal value) {
        this.ratedChargingPower = value;
    }

}
